<?php
use phpCtrl\C_DataGrid;

require_once("../conf.php");      
?>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0,user-scalable=0"/>

<title>A Basic PHP Datagrid</title>

<style>
.center {
	position: absolute;
	left: 50%;
	top: 50%;
	transform: translate(-50%, -50%);
}
.bg-name {
	background-color: #aaa !important;
}
.foo {	
	position: relative;
    left: -12px;
    top: 8px;
    color: #75a77c;
    font-size: 10px !important;
    text-decoration: none;
}
</style>

<body class="center">
<?php
$dg = new C_DataGrid("SELECT * FROM MasterListing", "id", "MasterListing");
$dg -> display(false);

$colNames = $dg->get_colNames();
$tables = $dg->db->db->metaTables('TABLES');

$tableList = '';
foreach($tables as $table) {
	$tableList .= "$table:$table;"; 
}

$data = [];
$count = count($colNames);

for ($i = 0; $i < $count; $i++)
{
	$colName = $colNames[$i];

	$data[$i]['id']    = $i+1;
	$data[$i]['name']    = $colName;
	$data[$i]['readonly'] =  '';
	$data[$i]['required'] =  '';
	$data[$i]['hidden'] =  '';
	$data[$i]['wysiwyg'] =  '';
	$data[$i]['title'] =  '';
	$data[$i]['width'] =  '';
	$data[$i]['align'] = '';
	$data[$i]['edittype'] =  '';
	$data[$i]['linkto'] =  '';
	$data[$i]['hyperlink'] =  '';
	$data[$i]['format'] =  '';
	$data[$i]['default'] =  '';
	$data[$i]['property'] =  '';
	$data[$i]['conditional_format'] =  '';
	$data[$i]['customrule'] =  '';
	// $data[$i]['dimesnion'] =  '';
	// $data[$i]['frozen'] =  '';
}

//var_dump($data);

$colGrid = new C_DataGrid($data, "Id", "MasterListing");
$colGrid->set_dimension(1200, 'auto', false);

$colGrid->set_col_title('name', 'Name');
$colGrid->set_col_title('readonly', 'Read Only');
$colGrid->set_col_title('required', 'Required');
$colGrid->set_col_title('hidden', 'Hidden');
$colGrid->set_col_title('wysiwyg', 'WYSIWYG');
$colGrid->set_col_title('linkto', 'Link To Table');

$dg->set_col_property('name', array('classes'=>'bg-name'));

$colGrid->set_col_width('readonly', 80);
$colGrid->set_col_width('required', 80);
$colGrid->set_col_width('hidden', 80);
$colGrid->set_col_width('wysiwyg', 90);
$colGrid->set_col_width('align', 100);

$colGrid->set_col_hidden(['id']);
$colGrid->set_col_readonly(['id', 'name']);
$colGrid->set_col_frozen("id")->set_col_frozen("name");
$colGrid->set_col_frozen('id, name');

$colGrid->set_col_edittype('align', 'autocomplete', ':;left:Left;center:Center;right:Right');
$colGrid->set_col_edittype('readonly', 'checkbox', '1:0');
$colGrid->set_col_edittype('required', 'checkbox', '1:0');
$colGrid->set_col_edittype('hidden', 'checkbox', '1:0');
$colGrid->set_col_edittype('wysiwyg', 'checkbox', '1:0');
$colGrid->set_col_edittype('edittype', 'autocomplete', ':;select:Select;autocomplete:Autocomplete;checkbox:Checkbox;password:Password;textarea:Textarea;button:Button');
$colGrid->set_col_edittype('format', 'autocomplete', ':;integer:Integer;number:Number;email:Emai;link:Link;showLink:ShowLink;currency:Currency;date:Date;checkbox:Checkbox;select:Select;rating:Rating;custom:Custom');
$colGrid->set_col_edittype('linkto', 'autocomplete', ':;'.rtrim($tableList,";"));


$showLargeInpuTextbox = <<<SHOWLARGEINPUTTEXTBOX
function (event, status, postData)
{
    $('input[name="hyperlink"]').after('<a href="#"><i class="fa fa-external-link-square foo"></i></a>');
    $('input[name="property"]').after('<a href="#"><i class="fa fa-external-link-square foo"></i></a>');
    $('input[name="conditional_format"]').after('<a href="#"><i class="fa fa-external-link-square foo"></i></a>');
    $('input[name="customrule"]').after('<a href="#"><i class="fa fa-external-link-square foo"></i></a>');
    $('span[class="select2-selection__arrow"]').after('<a href="#"><i class="fa fa-external-link-square foo"></i></a>');
}
SHOWLARGEINPUTTEXTBOX;

$colGrid->add_event('jqGridInlineEditRow', $showLargeInpuTextbox);

$colGrid->enable_edit('INLINE', 'CRU');

$colGrid->display();

?>

<a href="#">Preview</a>


<script type="text/javascript">
jQuery(document).ready(function($){ 
	//$('input[name="hyperlink"]').after('<a href="#" class=""><i class="fa fa-external-link-square foo"></i></a>');
});

</script>

</body>
</html>