<?php
use phpCtrl\C_DataGrid;

require_once("../conf.php");
?>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <title>Nested Dropdown</title>
</head>
<body>

<p>
Note:<br />
<ul>
    <li>The example demostrate dependent dropdown, or sometimes called nested dropdown. It can be nested in unlimited level.
    <li>It's important that all the dropdowns must be set to "autocomplete" edit type before calling set_nested_dropdown() method.
    <li>Due to the way the select is implemented in jqGrid, the 3rd parameter of set_col_edittype() method must contain the<br />
        ENTIRE string of all the key:value pair of that column, or the data will appear to be missing when display. There is no way
        around due to the jqGrid limitation.
    <li>The dependency logic is essentially embedded in the javascript data source (e.g. $countryStateData) used to populate the dropdown dynamically based on <br />
        its selected parent value.
</ul>
In a nutshell, the phpGrid displays the datagrid rendered by jqGrid. Select2 does the autocomplete and nested dropdown completely on the client side. <br />
which is also the reason why the data javascript data source must be structured correctly.
</p>

<?php
$countryStateData =
    array(
        'usa' => array(
            array('id'=>'',   'text'=>''),
            array('id'=>'ca', 'text'=>'CA'),
            array('id'=>'al', 'text'=>'AL'),
            array('id'=>'nj', 'text'=>'NJ')
         ),
        'canada' => array(
            array('id'=>'',   'text'=>''),
            array('id'=>'ab', 'text'=>'AB'),
            array('id'=>'qc', 'text'=>'QC'),
            array('id'=>'bc', 'text'=>'BC')
        )
    );

$stateCityData =
    array(
        'al' => array(
            array('id'=>'',   'text'=>''),
            array('id'=>'al_city1', 'text'=>'AL city A'),
            array('id'=>'al_city2', 'text'=>'AL city B'),
            array('id'=>'al_city3', 'text'=>'AL city C')
        ),
        'bc' => array(
            array('id'=>'',   'text'=>''),
            array('id'=>'bc_city1', 'text'=>'BC city A'),
            array('id'=>'bc_city2', 'text'=>'BC city B'),
            array('id'=>'bc_city3', 'text'=>'BC city C')
        ),
        'ca' => array(
            array('id'=>'',   'text'=>''),
            array('id'=>'sf', 'text'=>'San Francisco'),
            array('id'=>'la', 'text'=>'Los Angeles'),
            array('id'=>'sd', 'text'=>'San Diego')
         )
    );
echo '<script>';
echo 'var countryStateData = '. json_encode($countryStateData).";\n";
echo 'var stateCityData = '. json_encode($stateCityData).";\n";
echo '</script>';







/*
$sql = "select ot.IDObra, ot.IDTrabajo, ot.CodTrabajo, ot.DescTrabajo from tbobratrabajo ot inner join tbobracabecera oc on oc.IDObra=ot.IDObra
                    where (oc.Estado=0 or oc.Estado=1 or oc.Estado=4 or oc.Estado=5 or oc.Estado=7 or oc.MostrarEnEstadoFinalizado=1) and (ot.FechaFin>='" . date("Y-m-d", $dt->getTimestamp()) . "' or ot.FechaFin is null)";
$result = $mysqli->query($sql);


$trabajoData = array();
$options = array();
$IDObra = '';
while ($row = mysqli_fetch_assoc($result)) {
    if ($IDObra <> $row['IDObra'] and  (strlen($IDObra) > 0)) {
        $trabajoData[$IDObra] = $options;
        unset($options);
        $options[] = (object)array('id' => '', 'text' => ''); //Para que el trabajo salga por defecto en blanco
    }
    $descTrabajo = $row['CodTrabajo'] . '/' . $row['DescTrabajo'];
    $options[] = (object)array('id' => $row['IDTrabajo'], 'text' => $descTrabajo);

    $IDObra = $row['IDObra'];
}
$trabajoData[$IDObra] = $options;
echo '<script>';
echo 'var obraData1 = ' . json_encode($trabajoData) . ";\n";
echo '</script>';
*/



?>


<?php
$dg = new C_DataGrid('select customerNumber, customerName, phone, country, state, city, creditLimit from customers', 'customerNumber', 'customers');
$dg->enable_edit('INLINE');
$dg->set_col_edittype('country', 'autocomplete', ':;canada:Canada;usa:USA;France:France;Germany:Germany;Norway:Norway;Poland:Poland;Australia:Australia;Spain:Spain;Denmark:Denmark;Singapore:Singapore;Belgium:Belgium;Finland:Finland;New Zealand:New Zealand;Italy:Italy;Japan:Japan;Irelan:Ireland;Hong Kong:Hong Kong;Russia:Russia;Israel:Israel');
$dg->set_col_edittype('state',   'autocomplete', ':;bc:BC;ab:AB;qc:QC;al:AL;nj:NJ;ca:CA;Co. Cork:Co. Cork;CT:CT;Isle of Wight:Isle of Wight;MA:MA;NH:NH;NSW:NSW;NV:NV;NY:NY;Osaka:Osaka;PA:PA;Pretoria:Pretoria;Québec:Québec;Queensland:Queensland;Tokyo:Tokyo;Victoria:Victoria');
$dg->set_col_edittype('city',    'autocomplete', ':;bc_city3:BC City C;sf:San Francisco;la:Los Angeles;sd:San Diego;al_city1:AL city A;al_city2:Al City B;al_city3:Al City C;bc_city1:BC City A;bc_city2:BC City B;bc_city3:BC City C;');
$dg->set_nested_dropdown('country', 'state', 'countryStateData');
$dg->set_nested_dropdown('state', 'city', 'stateCityData');
$dg->set_dimension(1200, 400);

$dg->display();

?>

<h3>Dev note:</h3>
<pre>
//FORM select
$("#FrmGrid_customers tr#tr_country td select[id=country]")


//INLINE select
$("#customers tr#125 td select[id=125_country]")
$("#customers tr#125 td select[id=125_state]").select2("val", "nj");
//- OR -
$("#customers tr#125 td div#s2id_125_state > a > span.select2-chosen").text("ca");
</pre>

</body>
</html>
